package hr.tis.mgw.client.samples.notification;

import hr.tis.mgw.client.message.DeliveryReport;
import hr.tis.mgw.client.message.ReceivedLongSmsSegment;
import hr.tis.mgw.client.message.ReceivedMms;
import hr.tis.mgw.client.message.ReceivedSms;
import hr.tis.mgw.client.message.notification.MessageListener2;

public class MessageListenerSample implements MessageListener2 {

	public void mmsReceived(ReceivedMms mms) {
		System.out.println("Received Mms Message ->");
		System.out.println("  " + mms);
	}

	public void smsReceived(ReceivedSms sms) {
		System.out.println("Received Sms Message ->");
		System.out.println("  " + sms);
	}

	public void deliveryReportReceived(DeliveryReport deliveryReport) {
		System.out.println("Delivery report received ->");
		System.out.println("  " + deliveryReport);
	}

	public void longSmsReceived(ReceivedLongSmsSegment longSmsSegment) {
		System.out.println("Received Long Sms Segment ->");
		System.out.println("  " + longSmsSegment);
	}
}
